
QGIS Application - Bug report #15490

Modeler calculator don't work when passed raster layer bounds
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23414

Description

When the "max X", "min Y" or "max Y" output values of "Raster layer bounds tool are used in the  "Calculator" tool an error is generated:

Error executing algorithm Calculator Wrong formula: NonNone

Using "min X" seems to work well though.

To replicate the problem run the attached model after loading a raster layer. If b, c or d are used in the calculator formula you will get an

error.

Happens to me in both stable and master from osgeo4w installer (windows 7 32 bits)

History

#1 - 2017-04-28 11:29 PM - Alexander Bruy

- Status changed from Open to Feedback

Please test master, it should be fixed.

#2 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-05-17 07:34 AM - Alexander Bruy

- Status changed from Feedback to Closed

- Description updated

Closed for the lack of feedback. Please reopen if necessary.

#4 - 2017-05-17 01:35 PM - Giovanni Manghi

- Resolution set to not reproducable

Files

test.model 3.94 KB 2016-08-25 Goyo D
